org.apache.sysds.runtime.compress.readers

## Class ReaderColumnSelectionBitSet

- java.lang.Object
- - org.apache.sysds.runtime.compress.readers.ReaderColumnSelection
  - - org.apache.sysds.runtime.compress.readers.ReaderColumnSelectionBitSet

    public class ReaderColumnSelectionBitSet
    extends ReaderColumnSelection

### Constructor Summary

Constructors
Constructor and Description
`ReaderColumnSelectionBitSet(BitSet data, int rows, int[] colIndices)`

### Method Summary

### Methods inherited from class org.apache.sysds.runtime.compress.readers.ReaderColumnSelection

`createCompressedReader, createReader, getCurrentRowIndex, nextRow`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReaderColumnSelectionBitSet

    public ReaderColumnSelectionBitSet(BitSet data,
                                       int rows,
                                       int[] colIndices)